=== debian/changelog ===
ros-ros-comm (1.14.3+ds1-5+deb10u2+rebuild) UNRELEASED; urgency=medium

  * update

 -- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>  Tue, 08 Dec 2020 20:06:39 +0800

ros-ros-comm (1.14.3+ds1-5+deb10u2) buster; urgency=high

  * Add https://github.com/ros/ros_comm/pull/2065 (Fix CVE-2020-16124)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Oct 2020 17:48:57 +0200

ros-ros-comm (1.14.3+ds1-5+deb10u1) stable; urgency=high

  * Add https://github.com/ros/ros_comm/pull/1771 (Fix CVE-2019-13566, CVE-2019-13465)
  * Add https://github.com/ros/ros_comm/pull/1741 (Fix CVE-2019-13445)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Jan 2020 15:33:55 +0100

ros-ros-comm (1.14.3+ds1-5) unstable; urgency=medium

  * install ros/transport headers (LP: #1815896)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Feb 2019 19:45:15 +0100

ros-ros-comm (1.14.3+ds1-4) unstable; urgency=medium

  * Add recommends for remote roslaunch
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Jan 2019 10:04:35 +0100

ros-ros-comm (1.14.3+ds1-3) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Team upload.
  * improve autopkgtest
      - add names to tests
      - test python3 packages instead of python2 packages
      - replace python_import script by directly invoking python -c ...
  * enable hardening
  * refresh patches

  [ Jochen Sprickerhof ]
  * Undo autopkgtest changes from 1.14.3+ds1-1 and run each test by itself.
    The main purpose of the tests is to make sure that the package
    dependencies are fulfilled but this cannot be checked anymore if all
    packages and their dependencies are installed at once.

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 08 Dec 2018 13:22:11 +0100

ros-ros-comm (1.14.3+ds1-2) unstable; urgency=medium

  * Fix autopkgtest filename

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Oct 2018 22:55:21 +0100

ros-ros-comm (1.14.3+ds1-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Run CI as a single ADT test in a single VM

  [ Jochen Sprickerhof ]
  * New upstream version 1.14.3+ds1
  * Fix autopkgtest name

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Oct 2018 21:53:53 +0100

ros-ros-comm (1.14.2+ds1-11) unstable; urgency=medium

  * Adopt to new catkin

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 08:04:03 +0200
