=== debian/changelog ===
ros-ros-comm (1.15.8+ds1-1) unstable; urgency=medium

  * New upstream version 1.15.8+ds1

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jul 2020 22:11:22 +0200

ros-ros-comm (1.15.7+ds1-3) unstable; urgency=medium

  * Fix dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Jul 2020 16:39:47 +0200

ros-ros-comm (1.15.7+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * simplify d/*.install

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Jun 2020 23:50:17 +0200

ros-ros-comm (1.15.7+ds1-1) experimental; urgency=medium

  * New upstream version 1.15.7+ds1
  * update copyright
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump debhelper version
  * Bump Sonames due to ABI changes

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Jun 2020 09:38:41 +0200

ros-ros-comm (1.14.3+ds1-13) unstable; urgency=medium

  * Add patch for findCaller API change in Python 3.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Apr 2020 18:45:52 +0200

ros-ros-comm (1.14.3+ds1-12) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * python3-rosbag arch: any -> all (thx pochu)
  * Revert "python3-rosbag arch: any -> all (thx pochu)"
  * bump policy version (no changes)
  * Support multiple Python version (Closes: #955317)

  [ Giovanni Mascellani ]
  * Fix FTBFS with Boost 1.71. (Closes: #954653)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Apr 2020 20:59:27 +0200

ros-ros-comm (1.14.3+ds1-11) unstable; urgency=medium

  * Add https://github.com/ros/ros_comm/pull/1741 (Fix CVE-2019-13445)
    (Closes: #947947)
  * Update changelog to mention fixed CVE-2019-13465

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Jan 2020 10:55:33 +0100

ros-ros-comm (1.14.3+ds1-10) unstable; urgency=high

  * Add https://github.com/ros/ros_comm/pull/1771 (Fix CVE-2019-13566, CVE-2019-13465)
    (Closes: #945361)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Nov 2019 18:05:02 +0100

ros-ros-comm (1.14.3+ds1-9) unstable; urgency=medium

  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 22:37:59 +0100

ros-ros-comm (1.14.3+ds1-8) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938393)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:14:00 +0200

ros-ros-comm (1.14.3+ds1-7) unstable; urgency=medium

  * add Salsa CI
  * python3-graph depends on python-graph for cmake files

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 09:54:50 +0200

ros-ros-comm (1.14.3+ds1-6) unstable; urgency=medium

  * python3-rospy depends on python-rospy for cmake files
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 24 Oct 2019 07:07:35 +0200
